import { __rest, __assign } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { Typography } from '@highlight-ui/typography';
import { parseMetadata } from '@highlight-ui/utils-commons';
import styles from './SectionCard.module.scss.js';
var SectionCard = /*#__PURE__*/React.forwardRef(function (_a, ref) {
  var title = _a.title,
      subtitle = _a.subtitle,
      text = _a.text,
      children = _a.children,
      metadata = _a.metadata,
      respProps = __rest(_a, ["title", "subtitle", "text", "children", "metadata"]);

  var rootTestId = parseMetadata(metadata)['data-test-id'];
  return /*#__PURE__*/React.createElement("div", __assign({
    ref: ref,
    className: classnames(styles.sectionCard__container),
    "data-test-id": rootTestId
  }, respProps), /*#__PURE__*/React.createElement("div", {
    className: styles.sectionCard__header
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: "heading-3",
    color: "text-default",
    className: styles.sectionCard__title,
    "data-test-id": rootTestId + "-header"
  }, title), subtitle !== undefined && /*#__PURE__*/React.createElement(Typography, {
    variant: "caption-2",
    color: "text-subdued",
    "data-test-id": rootTestId + "-subtitle"
  }, subtitle), text !== undefined && /*#__PURE__*/React.createElement(Typography, {
    variant: "body-1",
    color: "text-default",
    className: styles.formSection__leftSide__text,
    "data-test-id": rootTestId + "-text"
  }, text)), /*#__PURE__*/React.createElement("div", {
    className: styles.sectionCard__content
  }, children));
});
export { SectionCard as default };
//# sourceMappingURL=SectionCard.js.map
